/ / "Elementname konnte nicht abgeleitet werden" Fehler in Firefox mit Polymer 1.x - Polymer, Polymer-1.0

"Elementname konnte nicht abgeleitet werden" Fehler in Firefox mit Polymer 1.x - Polymer, Polymer-1.0

Ich aktualisiere ein kleines Polymer-Element zu 1.x. Es funktioniert gut in Chrome und Safari, aber in der neuesten Firefox bekomme ich mehrere "nicht abgefangene Ausnahme: Elementname konnte nicht abgeleitet werden." Fehler.

Scheint, mit den html-Importen verwandt zu sein, denn wenn ich alles von der component.html außer den Importen entferne, dann treten die Fehler noch auf.

Im index.html habe ich folgendes:

<script src="bower_components/webcomponentsjs/webcomponents-lite.min.js"></script>
<link rel="import" href="src/element.html">

Im element.html das:

<link rel="import" href="../bower_components/polymer/polymer.html">
<link rel="import" href="../bower_components/iron-input/iron-input.html">
<link rel="import" href="../bower_components/iron-ajax/iron-ajax.html">
<link rel="import" href="../bower_components/iron-icons/iron-icons.html">
<link rel="import" href="../bower_components/paper-icon-button/paper-icon-button.html">

[EDIT] - Irgendwie sind die Fehler verschwunden. Ich vermute aufgrund eines Firefox- oder Polymer-Updates.

Antworten:

0 für die Antwort № 1

Löschen Sie Ihren Browser-Cache, um das Problem zu beheben.


0 für die Antwort № 2

installiere Polymer # ^ 1.1.0, das zu 1.7.0 aufgelöst wurde Für mich geht das


Verwandte Fragen


Kommentare (0)

Einen Kommentar hinzufügen